Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class Entry

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.Entry

All Implemented Interfaces:
  DataElement

public class Entry
extends DataElementSupport

DataElement that store his data in text-based format. Used by `FileEntryCollection2`.

Version:
  1.0
Author:
  DevelopmentOnTheEdge

Field Summary
`static java.lang.String` | `TEXT_FORMAT` Plain text format

Constructor Summary
`Entry(DataCollection parent, java.lang.String name, java.io.File pFile, long pOffset, long pSize)` Construct big data element with `TEXT_FORMAT`.
`Entry(DataCollection pParent, java.lang.String pName, java.lang.String pData)` Construct data element with `TEXT_FORMAT`.
`Entry(DataCollection pParent, java.lang.String pName, java.lang.String pData, java.lang.String pFormat)` Construct data element.

Method Summary
`java.lang.String` | `getData()`
`java.lang.String` | `getFormat()` Returns format of stored text data.
`java.io.Reader` | `getReader()`
`int` | `getSize()`
`boolean` | `isStoredAsStream()`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_FORMAT

    public static final java.lang.String TEXT_FORMAT

  Plain text format

  See Also:
    Constant Field Values

Constructor Detail

### Entry

    public Entry(DataCollection pParent,
                 java.lang.String pName,
                 java.lang.String pData,
                 java.lang.String pFormat)

  Construct data element.

See Also:
  `EntryCollection`

### Entry

    public Entry(DataCollection pParent,
                 java.lang.String pName,
                 java.lang.String pData)

  Construct data element with `TEXT_FORMAT`.

See Also:
  `DataCollection`

### Entry

    public Entry(DataCollection parent,
                 java.lang.String name,
                 java.io.File pFile,
                 long pOffset,
                 long pSize)

  Construct big data element with `TEXT_FORMAT`. File f shouldnt be deleted until this object exists.

Parameters:
  `parent` - DataCollection which contains this data element.
  `name` - Name of this data element.
See Also:
  `EntryCollection`
To do:
  HIGH remove cast to int

Method Detail

### getSize

    public int getSize()

  To do:
    Document (and may be this function not needed.)

### getReader

    public java.io.Reader getReader()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`
  To do:
    high Document

### getData

    public java.lang.String getData()

### getFormat

    public final java.lang.String getFormat()

  Returns format of stored text data.

  Returns:
    Format of stored text data.
  See Also:
    `TEXT_FORMAT`

### isStoredAsStream

    public boolean isStoredAsStream()

  To do:
    HIGH Implement or remove

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.